-- Borrowed from Spring Collab 2020 :3
function onEnter(player)
	if getFirstEntity("Mod.MaxHelpingHand.Entities.CustomSandwichLava") == nil then
		-- This makes the sandwich lava transition in, rather than just appear, if last intro type is Respawn.
		-- Don't bother restoring it afterwards, LastIntroType is only used by sandwich lava in vanilla anyway.
		getRoom().LastIntroType = 0
		
		-- Add sandwich lava in the room. We use collab sandwich lava so that it works at any height.
		getRoom():Add(celeste.Mod.MaxHelpingHand.Entities.CustomSandwichLava(celeste.EntityData(), vector2(player.Position.X - 10, 0)))
	end
end
